
QGIS Application - Bug report #10877

Attribute Form Editor with Repeating Attributes stopped to work as expected

2014-07-11 05:28 AM - Ed B

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Forms

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19245

Description

If you have a repeating attribute on other tabs in the drag and drop attribute form, the attribute will not update on other tabs and also will

not update when you click ok.  The only way to update an attribute which repeats on other tabs is to fill in the same value in each tab.

Associated revisions

Revision 55c6f8f1 - 2014-07-23 12:11 AM - Matthias Kuhn

Synchronize values of repeating widgets on forms

Fix #10877

History

#1 - 2014-07-17 06:07 AM - Giovanni Manghi

- Status changed from Open to Feedback

Did it worked as expected in previous qgis versions?

#2 - 2014-07-21 05:05 AM - Ed B

Yes.  In version 2.2 it worked as expected.

#3 - 2014-07-21 05:07 AM - Giovanni Manghi

- Priority changed from Normal to High

- Subject changed from Attribute Form Editor with Repeating Attributes to Attribute Form Editor with Repeating Attributes stopped to work as expected

- Status changed from Feedback to Open

- Target version deleted (Version 2.6)

#4 - 2014-07-21 05:07 AM - Giovanni Manghi

- Priority changed from High to Severe/Regression

#5 - 2014-07-22 03:12 PM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"55c6f8f1b34178a5c222236b757bf02568288994".
